﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CelloSaaS.RestApiSDK
{
    /// <summary>
    /// This Data Transfer Object is used for DataPartion API.
    /// </summary>
    public class DataPartitionConnDTO
    {
        /// <summary>
        /// Unique code for Identifying the module. 
        /// </summary>
        public string module_code { get; set; }
        /// <summary>
        ///  The connection string contains the information that the provider need to know to be able to establish a connection to the database or the data file.
        /// </summary>
        public string connection_string { get; set; }
    }
}
